// DO NOT EDIT THIS TAB.

/*
 * The Piece class defines what a Piece object knows about itself and
 * what it can do.
 */
class Piece {
  // Instance fields
  // NOTE: Types and colors order are based on spriteSheet.
  //       Legal types: "King", "Queen", "Bishop", "Knight", "Rook", "Pawn"
  //       Legal colors: "White", "Black"
  private String type;
  private String colour;
  
  // Constructor
  public Piece(String type, String colour) {
    this.type = type;
    this.colour = colour;
  }
  
  // Getter methods
  public String getType() { return type; }
  public String getColor() { return colour; }
  
  /*
   * getTypeChar() returns a char corresponding to the piece type.
   * NOTE: N is for kNight; otherwise the char is the first letter
   *       of the type.
   */
  public char getTypeChar() {
    if (type.equals("Knight")) {
      return 'N';  // 
    } else {
      return type.charAt(0);
    }
  }
  
  /*
   * toString() reports the color and type of a piece.
   */
  public String toString() { return colour + " " + type; }
}
