// DO NOT EDIT THIS TAB.

/*
 * The Square class defines what a Square object knows about itself and
 * what it can do.
 */
class Square {
  // Instance fields
  private Piece piece;   // piece on this square; null if none
  private color colour;  // color of tile
  private int rank;      // rank of square
  private String file;   // file of square
  
  // Constructor
  public Square(Piece p, color c, int rank, int file) {
    piece = p;
    colour = c;
    this.rank = rank;
    this.file = "" + ('a' + file);  // Files in chess are letters, not numbers
  }
  
  // Getter methods
  public Piece getPiece() { return piece; }
  public color getColor() { return colour; }
  public String getFile() { return file; }
  public int getRank() { return rank; }
  
  /*
   * addPiece() is a setter for the piece instance field.
   * NOTE: Most squares on a chessboard have no piece (null).
   */
  public void addPiece(Piece p) {
    piece = p;
  }
  
  /*
   * toString() reports the location and current piece on a square.
   * NOTE: The lower left corner square is a1; upper right is h8.
   */
  public String toString() {
    return file + rank + " contains: " + piece;
  }
}
